[WordPress] Install WordPress
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/wordpress/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"admin_user": "<string>",
"admin_password": "<string>",
"admin_email": "jsmith@example.com",
"path": "",
"title": "WordPress",
"language": "en"
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/wordpress/install"
payload = {
"domain": "<string>",
"admin_user": "<string>",
"admin_password": "<string>",
"admin_email": "jsmith@example.com",
"path": "",
"title": "WordPress",
"language": "en"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
admin_user: '<string>',
admin_password: '<string>',
admin_email: 'jsmith@example.com',
path: '',
title: 'WordPress',
language: 'en'
})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/wordpress/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"domain": "<string>",
"path": "<string>",
"title": "<string>",
"version": "<string>"
}Web Hosting
[WordPress] Install WordPress
Install a new WordPress site via Softaculous for this hosting.
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
wordpress
/
install
[WordPress] Install WordPress
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Web hosting unique identifier
Organization unique identifier
Project unique identifier
Body
application/json
⌘I

